//////////////////////////////////////////////////////////////////////////////////////
/*
Author: Henrik Krysell
E-mail: drx@drx.dk
Website: www.drx.dk

Copyright (C) 2004  Henrik Krysell

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/
//////////////////////////////////////////////////////////////////////////////////////

package starship2d;

public abstract class Object
{
	// VARIABLES
	
	// FUNCTIONS
	Object() 
	{
	}

	public abstract void init();
	// returning false means to be deleted
	public abstract boolean render();
	public abstract void update();
	public abstract void destroy();
	public abstract boolean hit(BoundingBox2 bb);
	public abstract boolean sphereHit(float radius, Vector2 center);

} // end Object
